---
wsId: edge
title: Edge - Bitcoin & Crypto Wallet
altTitle: 
authors:
- leo
- emanuel
users: 100000
appId: co.edgesecure.app
appCountry: 
released: 2018-03-01
updated: 2022-03-29
version: 2.12.1
stars: 4.4
ratings: 3880
reviews: 571
size: 53M
website: https://edge.app
repository: https://github.com/EdgeApp/edge-react-gui
issue: https://github.com/EdgeApp/edge-react-gui/issues/1748
icon: co.edgesecure.app.jpg
bugbounty: 
meta: ok
verdict: nonverifiable
date: 2022-03-13
signer: 
reviewArchive:
- date: 2019-11-10
  version: 1.10.1
  appHash: 
  gitRevision: 1707808e9efc2ab4ea3a03510ebd408811586d47
  verdict: ftbfs
twitter: edgewallet
social:
- https://www.linkedin.com/company/edgeapp
- https://www.reddit.com/r/EdgeWallet
redirect_from:
- /edge/
- /co.edgesecure.app/
- /posts/2019/11/edge/
- /posts/co.edgesecure.app/

---

After prior reviews were
{% include verdictBadge.html verdict='ftbfs' type='short' %} and should actually
have been {% include verdictBadge.html verdict='nosource' type='short' %} for
the code of the latest release being published only after our review, this
wallet took a slight turn to the better:
Emanuel managed to at least build it but unfortunately
[the build result differed significantly](https://github.com/EdgeApp/edge-react-gui/issues/1748)
from what they publish via Play Store. This wallet is
**not verifiable**.
